; ---------------------------------------------------------------------------------------------
;  SIMBOLOS USADOS NESTE PROGRAMA
; ---------------------------------------------------------------------------------------------
cntlim       equ     .255                        ; limite de contagem
mplxtimer    equ     .40768                      ; 4ms --> tempo de refresh ideal para Fosc=20MHZ 
CLOCK        equ     20000000                    ; Fosc de 20MHZ
;
CS0          equ     0                           ; seleciona display 4 - unidades
CS1          equ     1                           ; seleciona display 3 - dezenas
CS2          equ     2                           ; seleciona display 2 - centenas
CS3          equ     3                           ; seleciona display 3 - milhares
;
                                                 ; FLAGS DO PROGRAMA         0               1
ACMOD        equ     0                           ; FLAGS<ACMOD>         modo relogio     modo acerto
DS1302_KEY   equ     1                           ; FLAGS<DS1302_KEY>    DS1302 livre     DS1302 reservado
;
JP1_TRIS     equ     TRISC                       ; I/O 
JP1_PORT     equ     PORTC                       ; porta de controle do jump 1
JP1          equ     3
;
#define        DS1302_CE_TRIS     TRISC          ; RTC CE 
#define        DS1302_CE_PORT     PORTC
DS1302_CE      equ      0

#define        DS1302_IO_TRIS     TRISC          ; RTC IO
#define        DS1302_IO_PORT     PORTC
DS1302_IO      equ      1

#define        DS1302_SCLK_TRIS   TRISC          ; RTC CLK
#define        DS1302_SCLK_PORT   PORTC
DS1302_SCLK    equ      2

#define        DSPSEL_TRIS        TRISA          ; porta seletora de digitos do display       
#define        DSPSEL_PORT        PORTA
#define        DSPSEL_BITS        b'11110000'

#define        DSPDATA_TRIS       TRISB          ; porta de dados para o display
#define        DSPDATA_PORT       PORTB
#define        DSPDATA_BITS       b'00000001'


#define        MODO_IOMSK         b'00000001'
#define        BTMODO_TRIS        TRISB          ; botao modo de acerto
#define        BTMODO_PORT        PORTB 
#define        BTMODO             0 

#define        ACERTO_IOMSK       b'00110000'
#define        ACERTO_TRIS        TRISA
#define        ACERTO_PORT        PORTA
#define        BTHORA_TRIS        TRISA          ; botao de acerto das horas
#define        BTHORA_PORT        PORTA 
#define        BTHORA             4 

#define        BTMIN_TRIS         TRISA          ; botao de acerto dos minutos
#define        BTMIN_PORT         PORTA 
#define        BTMIN              5 

#define        EXTLED_TRIS        TRISC          ; LED indicador do modo de acerto
#define        EXTLED_PORT        PORTC
#define        EXTLED             4

#define        USART_TRIS         TRISC          ; I/O da USART - porta serial
#define        USART_PORT         PORTC
#define        USART_TXPIN        6              ; Tx
#define        USART_RXPIN        7              ; Rx
 